import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'

import utils from './utils/utils.js'
import common from './utils/common.js'
import request from './utils/request.js'
import store from '@/store/index.js'
Vue.prototype.$utils = utils;
Vue.prototype.$common = common;
Vue.prototype.$request = request;
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	store,
	...App
})
import uView from "uview-ui";
Vue.use(uView);
// uni.$u.config.unit = 'rpx'
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif